# InternalsBuildQuery | @coopenomics/sdk
Documentation for @coopenomics/sdk

# Function InternalsBuildQuery

- InternalsBuildQuery(__namedParameters): ((k, o, p?, root?, vars?) => string)

- #### Parameters

  - __namedParameters: {
    ops: Operations ;
    options?: OperationOptions ;
    props: AllTypesPropsType ;
    returns: ReturnTypesType ;
    scalars?: ScalarDefinition ;
    }

    - ##### ops: Operations

    - ##### `Optional` options?: OperationOptions

    - ##### props: AllTypesPropsType

    - ##### returns: ReturnTypesType

    - ##### `Optional` scalars?: ScalarDefinition

  #### Returns ((k, o, p?, root?, vars?) => string)

  - - (k, o, p?, root?, vars?): string

    - #### Parameters

      - k: string
      - o: VType
      - p: string = ''
      - root: boolean = true
      - vars: {
        graphQLType: string;
        name: string;
        }[] = []

      #### Returns string

  - Defined in components/sdk/src/zeus/index.ts:116